package jp.co.cybec.laxide.util;

import java.io.File;
import java.io.IOException;

import jp.co.cybec.laxide.file.LetsAjaxLayoutFileManager;
import jp.co.cybec.laxide.model.base.LetsAjaxBodyModel;
import jp.co.cybec.laxide.model.base.LetsAjaxLayoutConstant;
import jp.co.cybec.laxide.model.base.LetsAjaxPlainLayoutModel;

/**
 * ウィザードクラス用のユーティリティクラス
 * 
 * @author tokumaru
 *
 */
public class LetsAjaxWizardUtil {
	
	/**
	 * 新規作成した.laxファイルの初期レイアウトの書き込み処理を行います。
	 * 
	 * @param file
	 * @throws IOException
	 */
	public void initLaxDataToFile(File file) throws IOException {
		// 作成したファイルに初期のレイアウトXMLを設定する。
		LetsAjaxBodyModel body = new LetsAjaxBodyModel();
		body.setType(LetsAjaxLayoutConstant.LETSAJAX_BODY);
		LetsAjaxPlainLayoutModel plainModel = new LetsAjaxPlainLayoutModel();
		plainModel.setType(LetsAjaxLayoutConstant.LETSAJAX_BODY_PLAIN_LAYOUT);
		body.addChild(plainModel);

		LetsAjaxLayoutFileManager fileManager = new LetsAjaxLayoutFileManager();
		fileManager.createLayoutFile(body, file.getAbsolutePath());
	}
}
